## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v2.0
/
flows
/
{flowId}
/
settings

### Try it

#### Get Flow Settings

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/settings \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/settings"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/settings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Possible Status Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Authorizations

**APIKeyHeader** | **APIKeyQueryParam** | **CXoneTokenHeader** | **OAuth2**

#### X-API-Key

- **Type**: string
- **Location**: header
- **Required**: Yes

Supply the API Key in the HTTP-Header.

### Headers

#### Accept

- **Type**: enum<string>
- Specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

#### flowId

- **Type**: string
- **Required**: Yes
- The unique identifier for the Flow.
- **Required string length**: `24`
- **Pattern**: `^[a-z0-9]{24}$`

### Response

#### 200

- **Type**: application/json
- Returns the Flow Settings object.

### IEntityMeta

Defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.
